Package cds.healpix

# Enum Class CompassPoint.Cardinal

java.lang.Object
java.lang.Enum<CompassPoint.Cardinal>
cds.healpix.CompassPoint.Cardinal

All Implemented Interfaces:
  `Serializable`, `Comparable<CompassPoint.Cardinal>`, `Constable`

Enclosing class:
  `CompassPoint`

public static enum CompassPoint.Cardinal extends Enum<CompassPoint.Cardinal>
Enum defining the compass cardinal points.

Author:
  F.-X. Pineau

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`E`
East.
`N`
North.
`S`
South.
`W`
West.

## Method Summary

Modifier and Type
Method
Description
`CompassPoint.Cardinal`
`nextClockwise()`
Returns the next cardinal point in the clockwise direction.
`CompassPoint.Cardinal`
`nextCounterClockwise()`
Returns the next cardinal point in the counter-clockwise direction.
`static CompassPoint.Cardinal`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CompassPoint.Cardinal[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### N

public static final CompassPoint.Cardinal N
North.

### E

public static final CompassPoint.Cardinal E
East.

### S

public static final CompassPoint.Cardinal S
South.

### W

public static final CompassPoint.Cardinal W
West.

## Method Details

### values

public static CompassPoint.Cardinal[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CompassPoint.Cardinal valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### nextClockwise

public CompassPoint.Cardinal nextClockwise()
Returns the next cardinal point in the clockwise direction.

Returns:
  the next cardinal point in the clockwise direction.

### nextCounterClockwise

public CompassPoint.Cardinal nextCounterClockwise()
Returns the next cardinal point in the counter-clockwise direction.

Returns:
  the next cardinal point in the counter-clockwise direction.